export interface ITourStep {
  id: string;
  content: string;
  title?: string;
  description?: string;
  logoUrl?: string;
}

export interface ColorConfig {
  Modal: string;
  textColor: string;
  buttonColor: string;
  overlayBackgroundColor?: string;
  highlightColor?: string;
}

export interface ITourGuideProps {
  steps: ITourStep[];
  colorConfig?: {
    Modal?: string;
    textColor?: string;
    buttonColor?: string;
    overlayBackgroundColor?: string;
    highlightColor?: string;
  };
}
